## containerd 1.7.18~ds2

=== debian/changelog ===
containerd (1.7.18~ds2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/golang-github-containerd-containerd-dev.docs: install NOTICE file to
      be compliant with the Apache 2 license.
    - d/tests/control: remove integration and cri-integration autopkgtest
      Since they depend on the containerd binary package which is not provided by
      this source package by default.
  * Dropped changes (replaced by non default Build-Profiles):
    - d/control: remove the binary paragraph for containerd.
    - d/containerd.*: remove all packaging related files associated to the
      containerd binary package.
    - d/rules: remove execute_after_dh_auto_build target, it is changing
      content in the containerd binary package. Also avoid installing binaries
      in the library package.
    - d/golang-github-containerd-containerd-dev.install: remove this file, it
      is causing a FTBFS, no need to have it in place, the library files are
      already installed correctly without it.
  * New changes:
    - d/control: add non default pkg.containerd.with-bin Build-Profiles
      to disable building containerd binary package by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Fri, 09 Aug 2024 07:31:26 +0000

containerd (1.7.18~ds2-1) unstable; urgency=medium

  * Repack the source with only circular dependency and k8s library in vendor
  * Add patch to fix build with Go1.23

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 08 Aug 2024 18:27:06 +0800

=== debian/control ===
Source: containerd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Shengjing Zhu <zhsj@debian.org>,
           Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               go-md2man,
               golang-any,
               golang-github-blang-semver-dev,
               golang-github-container-orchestrated-devices-container-device-interface-dev (>= 0.8.0~),
               golang-github-containerd-btrfs-dev (>= 2),
               golang-github-containerd-cgroups-dev (>= 3),
               golang-github-containerd-console-dev,
               golang-github-containerd-continuity-dev (>= 0.0~git20190827.75bee3e~),
               golang-github-containerd-errdefs-dev,
               golang-github-containerd-fifo-dev (>= 1.0.0~),
               golang-github-containerd-go-cni-dev (>= 1.1.9),
               golang-github-containerd-go-runc-dev (>= 1.1.0),
               golang-github-containerd-log-dev,
               golang-github-containerd-ttrpc-dev (>= 1.2),
               golang-github-containerd-typeurl-dev (>= 2),
               golang-github-containernetworking-plugins-dev,
               golang-github-containers-ocicrypt-dev,
               golang-github-coreos-bbolt-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-davecgh-go-spew-dev,
               golang-github-docker-go-events-dev,
               golang-github-docker-go-metrics-dev,
               golang-github-docker-go-units-dev,
               golang-github-docker-spdystream-dev,
               golang-github-emicklei-go-restful-dev,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-google-go-cmp-dev,
               golang-github-google-uuid-dev,
               golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-imdario-mergo-dev,
               golang-github-intel-goresctrl-dev,
               golang-github-klauspost-compress-dev,
               golang-github-minio-sha256-simd-dev,
               golang-github-moby-locker-dev,
               golang-github-moby-sys-dev (>= 0.0~git20220215.b8d8fab~),
               golang-github-opencontainers-go-digest-dev (>= 1.0.0~),
               golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc2-2~),
               golang-github-opencontainers-runtime-spec-dev,
               golang-github-opencontainers-runtime-tools-dev,
               golang-github-opencontainers-selinux-dev,
               golang-github-pelletier-go-toml-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-pflag-dev,
               golang-github-tchap-go-patricia-dev,
               golang-github-urfave-cli-dev (>= 1.22.2-4~),
               golang-github-vishvananda-netlink-dev,
               golang-go-zfs-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-google-grpc-dev (>= 1.30),
               golang-k8s-klog-dev (>= 2.30.0~),
               golang-k8s-sigs-json-dev,
               golang-k8s-sigs-structured-merge-diff-dev,
               golang-k8s-sigs-yaml-dev,
               golang-k8s-utils-dev,
               golang-opentelemetry-otel-dev (>> 1.19)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://containerd.io/
Vcs-Git: https://salsa.debian.org/go-team/packages/containerd.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/containerd
XS-Go-Import-Path: github.com/containerd/containerd
Testsuite: autopkgtest-pkg-go

Package: containerd
Build-Profiles: <pkg.containerd.with-bin>
Architecture: amd64
Breaks: docker.io (<< 1.12)
Depends: runc (>= 0.1.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: containernetworking-plugins
Built-Using: ${misc:Built-Using}
Description: open and reliable container runtime
 Containerd is an industry-standard container runtime with an emphasis on
 simplicity, robustness and portability. It is available as a daemon for
 Linux and Windows, which can manage the complete container life cycle of
 its host system: image transfer and storage, container execution and
 supervision, low-level storage and network attachments, etc.
 .
 Containerd is designed to be embedded into a larger system, rather than
 being used directly by developers or end-users.
 .
 This package contains the binaries.

Package: golang-github-containerd-containerd-dev
Architecture: all
Section: golang
Depends: golang-github-containerd-btrfs-dev (>= 2),
         golang-github-containerd-cgroups-dev (>= 3),
         golang-github-containerd-console-dev,
         golang-github-containerd-continuity-dev (>= 0.0~git20190827.75bee3e~),
         golang-github-containerd-errdefs-dev,
         golang-github-containerd-fifo-dev (>= 1.0.0~),
         golang-github-containerd-go-cni-dev (>= 1.1.9),
         golang-github-containerd-go-runc-dev (>= 1.1.0),
         golang-github-containerd-log-dev,
         golang-github-containerd-ttrpc-dev (>= 1.2),
         golang-github-containerd-typeurl-dev (>= 2),
         golang-github-containernetworking-plugins-dev,
         golang-github-coreos-bbolt-dev,
         golang-github-docker-go-events-dev,
         golang-github-docker-go-metrics-dev,
         golang-github-docker-go-units-dev,
         golang-github-google-uuid-dev,
         golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
         golang-github-hashicorp-go-multierror-dev,
         golang-github-imdario-mergo-dev,
         golang-github-intel-goresctrl-dev,
         golang-github-klauspost-compress-dev,
         golang-github-minio-sha256-simd-dev,
         golang-github-moby-locker-dev,
         golang-github-moby-sys-dev (>= 0.0~git20220215.b8d8fab~),
         golang-github-opencontainers-go-digest-dev (>= 1.0.0~),
         golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc2-2~),
         golang-github-opencontainers-runc-dev (>= 0.1.0~),
         golang-github-opencontainers-runtime-spec-dev,
         golang-github-opencontainers-selinux-dev,
         golang-github-pelletier-go-toml-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-tchap-go-patricia-dev,
         golang-github-urfave-cli-dev (>= 1.22.2~),
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev,
         golang-google-grpc-dev (>= 1.30),
         golang-opentelemetry-otel-dev (>> 1.19),
         ${misc:Depends}
Breaks: golang-github-containerd-imgcrypt-dev (<< 1.1.11-4),
        golang-github-docker-docker-dev (<< 26.1)
Description: open and reliable container runtime (development files)
 Containerd is an industry-standard container runtime with an emphasis on
 simplicity, robustness and portability. It is available as a daemon for
 Linux and Windows, which can manage the complete container life cycle of
 its host system: image transfer and storage, container execution and
 supervision, low-level storage and network attachments, etc.
 .
 Containerd is designed to be embedded into a larger system, rather than
 being used directly by developers or end-users.
 .
 This package provides development files.

=== debian/tests/control ===
Tests: build-only
Depends: dh-golang,
         golang-any,
         golang-github-containerd-containerd-dev
Restrictions: allow-stderr

## containerd 1.7.20~ds2

=== debian/changelog ===
containerd (1.7.20~ds2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 02 Sep 2024 07:37:02 -0400

containerd (1.7.20~ds2-1) experimental; urgency=medium

  [ Shengjing Zhu ]
  * New upstream version: 1.7.20
  * Update Files-Excluded/Included in copyright
  * Update Build-Depends

  [ Reinhard Tartler ]
  * Repack upstream tarball
  * Unvendor all k8s libraries. This avoids a conflict with types from the
    golang-github-kubernetes-cri-api-dev package.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Sep 2024 09:15:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: containerd
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Shengjing Zhu <zhsj@debian.org>,
@@ -21,7 +20,10 @@
                golang-github-containerd-fifo-dev (>= 1.0.0~),
                golang-github-containerd-go-cni-dev (>= 1.1.9),
                golang-github-containerd-go-runc-dev (>= 1.1.0),
+               golang-github-containerd-imgcrypt-dev,
                golang-github-containerd-log-dev,
+               golang-github-containerd-nri-dev,
+               golang-github-containerd-platforms-dev,
                golang-github-containerd-ttrpc-dev (>= 1.2),
                golang-github-containerd-typeurl-dev (>= 2),
                golang-github-containernetworking-plugins-dev,
@@ -29,6 +31,7 @@
                golang-github-coreos-bbolt-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-davecgh-go-spew-dev,
+               golang-github-distribution-reference-dev,
                golang-github-docker-go-events-dev,
                golang-github-docker-go-metrics-dev,
                golang-github-docker-go-units-dev,
@@ -61,7 +64,11 @@
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev,
                golang-google-grpc-dev (>= 1.30),
-               golang-k8s-klog-dev (>= 2.30.0~),
+               golang-k8s-api-dev,
+               golang-k8s-apimachinery-dev,
+               golang-k8s-apiserver-dev,
+               golang-k8s-client-go-dev,
+               golang-k8s-klog-dev,
                golang-k8s-sigs-json-dev,
                golang-k8s-sigs-structured-merge-diff-dev,
                golang-k8s-sigs-yaml-dev,
@@ -76,12 +83,9 @@
 Testsuite: autopkgtest-pkg-go
 
 Package: containerd
-Build-Profiles: <pkg.containerd.with-bin>
-Architecture: amd64
+Architecture: linux-any
 Breaks: docker.io (<< 1.12)
-Depends: runc (>= 0.1.0~),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: runc (>= 0.1.0~), ${misc:Depends}, ${shlibs:Depends}
 Suggests: containernetworking-plugins
 Built-Using: ${misc:Built-Using}
 Description: open and reliable container runtime
@@ -107,11 +111,15 @@
          golang-github-containerd-fifo-dev (>= 1.0.0~),
          golang-github-containerd-go-cni-dev (>= 1.1.9),
          golang-github-containerd-go-runc-dev (>= 1.1.0),
+         golang-github-containerd-imgcrypt-dev,
          golang-github-containerd-log-dev,
+         golang-github-containerd-nri-dev,
+         golang-github-containerd-platforms-dev,
          golang-github-containerd-ttrpc-dev (>= 1.2),
          golang-github-containerd-typeurl-dev (>= 2),
          golang-github-containernetworking-plugins-dev,
          golang-github-coreos-bbolt-dev,
+         golang-github-distribution-reference-dev,
          golang-github-docker-go-events-dev,
          golang-github-docker-go-metrics-dev,
          golang-github-docker-go-units-dev,
@@ -137,6 +145,12 @@
          golang-golang-x-sync-dev,
          golang-golang-x-sys-dev,
          golang-google-grpc-dev (>= 1.30),
+         golang-k8s-api-dev,
+         golang-k8s-apimachinery-dev,
+         golang-k8s-apiserver-dev,
+         golang-k8s-client-go-dev,
+         golang-k8s-klog-dev,
+         golang-k8s-utils-dev,
          golang-opentelemetry-otel-dev (>> 1.19),
          ${misc:Depends}
 Breaks: golang-github-containerd-imgcrypt-dev (<< 1.1.11-4),

=== debian/tests/control ===
Tests: integration
Depends: ca-certificates, containerd, lsof, @builddeps@
Restrictions: allow-stderr, needs-root, needs-internet, isolation-container, flaky
# Integration test uses k8s.gcr.io/pause:3.5 image
# See the supported architectures for this image:
# $ curl https://k8s.gcr.io/v2/pause/manifests/3.2
Architecture: amd64, arm64, armel, armhf, ppc64el, s390x

Tests: cri-integration
Depends: ca-certificates,
         containerd,
         containernetworking-plugins,
         golang-github-google-gofuzz-dev,
         procps,
         strace,
         @builddeps@
Restrictions: allow-stderr, needs-root, needs-internet, isolation-container, breaks-testbed, flaky
Architecture: amd64, arm64, ppc64el

Tests: build-only
Depends: dh-golang, golang-any, golang-github-containerd-containerd-dev
Restrictions: allow-stderr

## containerd 1.7.22~ds1

=== debian/changelog ===
containerd (1.7.22~ds1-1) unstable; urgency=medium

  * New upstream version: 1.7.22

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 28 Sep 2024 11:39:55 -0400

containerd (1.7.21~ds2-1) experimental; urgency=medium

  * New upstrem version: 1.7.21
  * refresh patches
  * Tighten dependency on golang-github-moby-sys
  * Drop unneeded grpc patch

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 04 Sep 2024 09:53:53 -0400

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
                golang-github-klauspost-compress-dev,
                golang-github-minio-sha256-simd-dev,
                golang-github-moby-locker-dev,
-               golang-github-moby-sys-dev (>= 0.0~git20220215.b8d8fab~),
+               golang-github-moby-sys-dev (>= 0.0~git20240807),
                golang-github-opencontainers-go-digest-dev (>= 1.0.0~),
                golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc2-2~),
                golang-github-opencontainers-runtime-spec-dev,
@@ -131,7 +131,7 @@
          golang-github-klauspost-compress-dev,
          golang-github-minio-sha256-simd-dev,
          golang-github-moby-locker-dev,
-         golang-github-moby-sys-dev (>= 0.0~git20220215.b8d8fab~),
+         golang-github-moby-sys-dev (>= 0.0~git20240807),
          golang-github-opencontainers-go-digest-dev (>= 1.0.0~),
          golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc2-2~),
          golang-github-opencontainers-runc-dev (>= 0.1.0~),

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,10 @@
 Tests: integration
 Depends: ca-certificates, containerd, lsof, @builddeps@
-Restrictions: allow-stderr, needs-root, needs-internet, isolation-container, flaky
+Restrictions: allow-stderr,
+              flaky,
+              isolation-container,
+              needs-internet,
+              needs-root
 # Integration test uses k8s.gcr.io/pause:3.5 image
 # See the supported architectures for this image:
 # $ curl https://k8s.gcr.io/v2/pause/manifests/3.2
@@ -14,7 +18,12 @@
          procps,
          strace,
          @builddeps@
-Restrictions: allow-stderr, needs-root, needs-internet, isolation-container, breaks-testbed, flaky
+Restrictions: allow-stderr,
+              breaks-testbed,
+              flaky,
+              isolation-container,
+              needs-internet,
+              needs-root
 Architecture: amd64, arm64, ppc64el
 
 Tests: build-only

## containerd 1.7.23~ds1

=== debian/changelog ===
containerd (1.7.23~ds1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/golang-github-containerd-containerd-dev.docs: install NOTICE file to
      be compliant with the Apache 2 license.
    - d/tests/control: remove integration and cri-integration autopkgtest
      Since they depend on the containerd binary package which is not provided by
      this source package by default.
    - d/control: add non default pkg.containerd.with-bin Build-Profiles
      to disable building containerd binary package by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Nov 2024 23:24:22 +0100

containerd (1.7.23~ds1-2) unstable; urgency=medium

  * Tighten dependency on prometheus (>= 2.45.6+ds-6)
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 31 Oct 2024 06:33:17 -0400

containerd (1.7.23~ds1-1) experimental; urgency=medium

  * New upstream version: 1.7.23
  * Bump dependency on containerd/errdefs (>= 0.3.0)
  * Build against opentelemetry libraries in experimental
  * containerd.service: add systemd dependency on dbus, Closes: #1083290

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 28 Oct 2024 19:01:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: containerd
 Section: admin
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Shengjing Zhu <zhsj@debian.org>,
@@ -16,7 +17,7 @@
                golang-github-containerd-cgroups-dev (>= 3),
                golang-github-containerd-console-dev,
                golang-github-containerd-continuity-dev (>= 0.0~git20190827.75bee3e~),
-               golang-github-containerd-errdefs-dev,
+               golang-github-containerd-errdefs-dev (>= 0.3.0),
                golang-github-containerd-fifo-dev (>= 1.0.0~),
                golang-github-containerd-go-cni-dev (>= 1.1.9),
                golang-github-containerd-go-runc-dev (>= 1.1.0),
@@ -54,7 +55,7 @@
                golang-github-opencontainers-runtime-tools-dev,
                golang-github-opencontainers-selinux-dev,
                golang-github-pelletier-go-toml-dev,
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 2.45.6+ds-6),
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-pflag-dev,
                golang-github-tchap-go-patricia-dev,
@@ -73,7 +74,7 @@
                golang-k8s-sigs-structured-merge-diff-dev,
                golang-k8s-sigs-yaml-dev,
                golang-k8s-utils-dev,
-               golang-opentelemetry-otel-dev (>> 1.19)
+               golang-opentelemetry-otel-dev (>> 1.31)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://containerd.io/
@@ -83,7 +84,8 @@
 Testsuite: autopkgtest-pkg-go
 
 Package: containerd
-Architecture: linux-any
+Build-Profiles: <pkg.containerd.with-bin>
+Architecture: amd64
 Breaks: docker.io (<< 1.12)
 Depends: runc (>= 0.1.0~), ${misc:Depends}, ${shlibs:Depends}
 Suggests: containernetworking-plugins
@@ -107,7 +109,7 @@
          golang-github-containerd-cgroups-dev (>= 3),
          golang-github-containerd-console-dev,
          golang-github-containerd-continuity-dev (>= 0.0~git20190827.75bee3e~),
-         golang-github-containerd-errdefs-dev,
+         golang-github-containerd-errdefs-dev (>= 0.3.0),
          golang-github-containerd-fifo-dev (>= 1.0.0~),
          golang-github-containerd-go-cni-dev (>= 1.1.9),
          golang-github-containerd-go-runc-dev (>= 1.1.0),
@@ -151,7 +153,7 @@
          golang-k8s-client-go-dev,
          golang-k8s-klog-dev,
          golang-k8s-utils-dev,
-         golang-opentelemetry-otel-dev (>> 1.19),
+         golang-opentelemetry-otel-dev (>> 1.),
          ${misc:Depends}
 Breaks: golang-github-containerd-imgcrypt-dev (<< 1.1.11-4),
         golang-github-docker-docker-dev (<< 26.1)

## containerd 1.7.23~ds2

=== debian/changelog ===
containerd (1.7.23~ds2-1) unstable; urgency=medium

  * Vendor in containerd/imgcrypt to avoid circular dependency

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 02 Nov 2024 06:11:58 -0400

containerd (1.7.23~ds1-3) unstable; urgency=medium

  * Revert tightening on golang-github-prometheus-client-golang-dev

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 01 Nov 2024 06:55:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: containerd
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Shengjing Zhu <zhsj@debian.org>,
@@ -21,7 +20,6 @@
                golang-github-containerd-fifo-dev (>= 1.0.0~),
                golang-github-containerd-go-cni-dev (>= 1.1.9),
                golang-github-containerd-go-runc-dev (>= 1.1.0),
-               golang-github-containerd-imgcrypt-dev,
                golang-github-containerd-log-dev,
                golang-github-containerd-nri-dev,
                golang-github-containerd-platforms-dev,
@@ -55,7 +53,7 @@
                golang-github-opencontainers-runtime-tools-dev,
                golang-github-opencontainers-selinux-dev,
                golang-github-pelletier-go-toml-dev,
-               golang-github-prometheus-client-golang-dev (>= 2.45.6+ds-6),
+               golang-github-prometheus-client-golang-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-pflag-dev,
                golang-github-tchap-go-patricia-dev,
@@ -84,8 +82,7 @@
 Testsuite: autopkgtest-pkg-go
 
 Package: containerd
-Build-Profiles: <pkg.containerd.with-bin>
-Architecture: amd64
+Architecture: linux-any
 Breaks: docker.io (<< 1.12)
 Depends: runc (>= 0.1.0~), ${misc:Depends}, ${shlibs:Depends}
 Suggests: containernetworking-plugins
@@ -113,7 +110,6 @@
          golang-github-containerd-fifo-dev (>= 1.0.0~),
          golang-github-containerd-go-cni-dev (>= 1.1.9),
          golang-github-containerd-go-runc-dev (>= 1.1.0),
-         golang-github-containerd-imgcrypt-dev,
          golang-github-containerd-log-dev,
          golang-github-containerd-nri-dev,
          golang-github-containerd-platforms-dev,

=== debian/watch ===
version=4
opts=filenamemangle=s%.*/v?(\d\S*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
uversionmangle=s%(\d)-(rc|beta|alpha)\.?(\d*)$%$1~$2$3%,\
dversionmangle=s%[~+]ds\d*$%%,\
repacksuffix=~ds2 \
  https://github.com/containerd/containerd/tags .*/v?(1\.7\.\d\S*)\.tar\.gz

## containerd 1.7.24~ds1

=== integration/images/volume-ownership/Makefile ===
#   Copyright The containerd Authors.

#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at

#       http://www.apache.org/licenses/LICENSE-2.0

#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

all: build

PROJ=ghcr.io/containerd
VERSION=2.1
IMAGE=$(PROJ)/volume-ownership:$(VERSION)
DOCKER_CERT_PATH ?= "$(HOME)/.docker"
REMOTE_DOCKER_URL ?=
DOCKER_REMOTE_ARGS ?=


ifneq ($(REMOTE_DOCKER_URL),)
	DOCKER_REMOTE_ARGS = --tlsverify --tlscacert "$(DOCKER_CERT_PATH)/ca.pem" \
		--tlscert "$(DOCKER_CERT_PATH)/cert.pem" \
		--tlskey "$(DOCKER_CERT_PATH)/key.pem" \
		-H "$(REMOTE_DOCKER_URL)"
endif

# Operating systems supported: linux, windows
OS ?= linux
# Architectures supported: amd64, arm64
ARCH ?= amd64
# OS Version for the Windows images: 1809, 20H2, ltsc2022
OSVERSION ?= 1809

# The output type could either be docker (local), or registry.
# If it is registry, it will also allow us to push the Windows images.
OUTPUT_TYPE ?= docker

ALL_OS = linux
ALL_ARCH.linux = amd64 arm64 ppc64le
ALL_OS_ARCH.linux = $(foreach arch, ${ALL_ARCH.linux}, linux-$(arch))

ifneq ($(REMOTE_DOCKER_URL),)
ALL_OS += windows
ALL_OSVERSIONS.windows := 1809 20H2 ltsc2022
ALL_OS_ARCH.windows = $(foreach osversion, ${ALL_OSVERSIONS.windows}, windows-amd64-${osversion})
BASE.windows := mcr.microsoft.com/windows/nanoserver
endif

BASE.linux.amd64 := busybox
BASE.linux.arm64 := arm64v8/busybox
BASE.linux.ppc64le := busybox
BASE.linux := ${BASE.linux.${ARCH}}
BASE := ${BASE.${OS}}

ALL_OS_ARCH = $(foreach os, $(ALL_OS), ${ALL_OS_ARCH.${os}})

configure-docker:
	gcloud auth configure-docker --quiet
	gcloud auth configure-docker --quiet $(shell echo $(PROJ) | cut -f 1 -d "/") || true

setup-buildx:
	docker buildx use img-builder || docker buildx create --name img-builder --use

build: setup-buildx build-local

push: configure-docker setup-buildx build-registry push-manifest

build-local: $(addprefix sub-container-docker-,$(ALL_OS_ARCH.linux))
build-tools:
	GOOS=windows go build -mod=vendor -o tools/get_owner_windows.exe tools/get_owner_windows.go

clean-tools:
	rm -f tools/get_owner_windows.exe || true

build-registry: build-tools $(addprefix sub-container-registry-,$(ALL_OS_ARCH)) clean-tools

# split words on hyphen, access by 1-index
word-hyphen = $(word $2,$(subst -, ,$1))
sub-container-%:
	$(MAKE) OUTPUT_TYPE=$(call word-hyphen,$*,1) OS=$(call word-hyphen,$*,2) ARCH=$(call word-hyphen,$*,3) OSVERSION=$(call word-hyphen,$*,4) container

container: .container-${OS}-$(ARCH)

.container-linux-$(ARCH):
	docker buildx build --pull --output=type=${OUTPUT_TYPE} --platform ${OS}/${ARCH} \
		-t $(IMAGE)-${OS}-${ARCH} --build-arg BASE=${BASE} .

.container-windows-$(ARCH):
	docker $(DOCKER_REMOTE_ARGS) build --isolation=hyperv --no-cache --pull \
		-t $(IMAGE)-${OS}-${ARCH}-${OSVERSION} --build-arg BASE=${BASE}:${OSVERSION} \
		-f Dockerfile_windows .
	docker $(DOCKER_REMOTE_ARGS) push $(IMAGE)-${OS}-${ARCH}-${OSVERSION}

# For Windows images, we also need to include the "os.version" in the manifest list images,
# so the Windows node can pull the proper image it needs.
push-manifest:
	docker manifest create --amend $(IMAGE) $(shell echo $(ALL_OS_ARCH) | sed -e "s~[^ ]*~$(IMAGE)\-&~g")
	set -x; for arch in $(ALL_ARCH.linux); do docker manifest annotate --os linux --arch $${arch} ${IMAGE} ${IMAGE}-linux-$${arch}; done
	# we use awk to also trim the quotes around the OS version string.
	set -x; \
	for osversion in ${ALL_OSVERSIONS.windows}; do \
		full_version=`docker manifest inspect ${BASE.windows}:$${osversion} | grep "os.version" | head -n 1 | awk -F\" '{print $$4}'` || true; \
		docker manifest annotate --os windows --arch amd64 --os-version $${full_version} \
		${IMAGE} ${IMAGE}-windows-amd64-$${osversion}; \
	done
	docker manifest push --purge ${IMAGE}

.PHONY: configure-docker setup-buildx build push build-local build-registry container push-manifest clean-tools

=== debian/changelog ===
containerd (1.7.24~ds1-10ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: remove integration and cri-integration autopkgtest
      Since they depend on the containerd binary package which is not provided by
      this source package by default.
    - d/control: add non default pkg.containerd.with-bin Build-Profiles
      to disable building containerd binary package by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 09 Nov 2025 07:54:45 +0100

containerd (1.7.24~ds1-10) unstable; urgency=medium

  * fix goroutine leak of container Attach, Closes: #1120343,
    Fixes: CVE-2025-64329

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 07 Nov 2025 20:08:08 -0500

containerd (1.7.24~ds1-9) unstable; urgency=medium

  * golang-github-containerd-containerd-api-dev: Add missing Breaks
  * Backport patch for CVE-2024-25621, Closes: #1120285
  * Bump Standards Version, no changes needed
  * debian/control: Drop redundant Rules-Requires-Root
  * Switch to using Static-Build-Using
  * golang-github-containerd-containerd-api-dev: add ${misc:Depends}

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 06 Nov 2025 20:27:20 -0500

containerd (1.7.24~ds1-8ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: remove integration and cri-integration autopkgtest
      Since they depend on the containerd binary package which is not provided by
      this source package by default.
    - d/control: add non default pkg.containerd.with-bin Build-Profiles
      to disable building containerd binary package by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Aug 2025 10:28:47 +0200

containerd (1.7.24~ds1-8) unstable; urgency=medium

  * Unbreak builds without arch-indep packages
  * autopkgtests: require qemu, add procps
  * oci/utils_unix_test.go: Cover for incus/lxd test failures
  * autopkgtest: redirect stderr to stdout
  * Silence lintian error about overly long Built-Using

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 15 Aug 2025 09:34:36 -0400

containerd (1.7.24~ds1-7) experimental; urgency=medium

  * Build the grpc api into its own package. This is in preparation for
    packaging containerd2, which replaces theses, but still requires

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 13 Aug 2025 16:57:01 -0400

containerd (1.7.24~ds1-6ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: remove integration and cri-integration autopkgtest
      Since they depend on the containerd binary package which is not provided by
      this source package by default.
    - d/control: add non default pkg.containerd.with-bin Build-Profiles
      to disable building containerd binary package by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 May 2025 10:52:41 +0200

containerd (1.7.24~ds1-6) unstable; urgency=medium

  * Team upload.
  * CVE-2024-40635: large UID:GID (>32bit) can overflow, runs as root
    (Closes: #1100806)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 29 Apr 2025 20:55:02 +0200

containerd (1.7.24~ds1-5ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: remove integration and cri-integration autopkgtest
      Since they depend on the containerd binary package which is not provided by
      this source package by default.
    - d/control: add non default pkg.containerd.with-bin Build-Profiles
      to disable building containerd binary package by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Apr 2025 07:53:59 +0200

containerd (1.7.24~ds1-5) unstable; urgency=medium

  * Add stubs for new cri-api RuntimeConfig (Closes: #1102287)

 -- Tianon Gravi <tianon@debian.org>  Tue, 08 Apr 2025 14:31:41 -0700

containerd (1.7.24~ds1-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: remove integration and cri-integration autopkgtest
      Since they depend on the containerd binary package which is not provided by
      this source package by default.
    - d/control: add non default pkg.containerd.with-bin Build-Profiles
      to disable building containerd binary package by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 22 Dec 2024 18:50:24 +0100

containerd (1.7.24~ds1-4) unstable; urgency=medium

  * Revert "Integration tests not stable enough for armel, s390",
    but mark that autopkgtest as flaky for further observation

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 21 Dec 2024 11:53:55 -0500

containerd (1.7.24~ds1-3) unstable; urgency=medium

  * Also include pkg/nri, and add missing dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 20 Dec 2024 17:17:13 -0500

containerd (1.7.24~ds1-2) unstable; urgency=medium

  * install pkg/cri, req. for nerdctl
  * autopkgtest: disable Integration tests for armel, s390, not stable enough

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 20 Dec 2024 06:08:19 -0500

containerd (1.7.24~ds1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: remove integration and cri-integration autopkgtest
      Since they depend on the containerd binary package which is not provided by
      this source package by default.


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: containerd
 Section: admin
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Shengjing Zhu <zhsj@debian.org>,
@@ -20,6 +21,7 @@
                golang-github-containerd-fifo-dev (>= 1.0.0~),
                golang-github-containerd-go-cni-dev (>= 1.1.9),
                golang-github-containerd-go-runc-dev (>= 1.1.0),
+               golang-github-containerd-imgcrypt-dev,
                golang-github-containerd-log-dev,
                golang-github-containerd-nri-dev,
                golang-github-containerd-platforms-dev,
@@ -72,9 +74,9 @@
                golang-k8s-sigs-structured-merge-diff-dev,
                golang-k8s-sigs-yaml-dev,
                golang-k8s-utils-dev,
-               golang-opentelemetry-otel-dev (>> 1.31)
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+               golang-opentelemetry-otel-dev (>> 1.31),
+               golang-tags.cncf-container-device-interface-dev
+Standards-Version: 4.7.2
 Homepage: https://containerd.io/
 Vcs-Git: https://salsa.debian.org/go-team/packages/containerd.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/containerd
@@ -82,11 +84,12 @@
 Testsuite: autopkgtest-pkg-go
 
 Package: containerd
-Architecture: linux-any
+Build-Profiles: <pkg.containerd.with-bin>
+Architecture: amd64
 Breaks: docker.io (<< 1.12)
 Depends: runc (>= 0.1.0~), ${misc:Depends}, ${shlibs:Depends}
 Suggests: containernetworking-plugins
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: open and reliable container runtime
  Containerd is an industry-standard container runtime with an emphasis on
  simplicity, robustness and portability. It is available as a daemon for
@@ -99,17 +102,38 @@
  .
  This package contains the binaries.
 
+Package: golang-github-containerd-containerd-api-dev
+Architecture: all
+Section: golang
+Depends: ${misc:Depends}
+Breaks: golang-github-containerd-containerd-dev (<< 1.7.24~ds1-7)
+Replaces: golang-github-containerd-containerd-dev (<< 1.7.24~ds1-7)
+Description: containerd grpc interface definitions (library)
+ Containerd is an industry-standard container runtime with an emphasis on
+ simplicity, robustness and portability. It is available as a daemon for
+ Linux and Windows, which can manage the complete container life cycle of
+ its host system: image transfer and storage, container execution and
+ supervision, low-level storage and network attachments, etc.
+ .
+ Containerd is designed to be embedded into a larger system, rather than
+ being used directly by developers or end-users.
+ .
+ This package contains the golang grpc interface definition for interacting
+ with the containerd service.
+
 Package: golang-github-containerd-containerd-dev
 Architecture: all
 Section: golang
 Depends: golang-github-containerd-btrfs-dev (>= 2),
          golang-github-containerd-cgroups-dev (>= 3),
          golang-github-containerd-console-dev,
+         golang-github-containerd-containerd-api-dev,
          golang-github-containerd-continuity-dev (>= 0.0~git20190827.75bee3e~),
          golang-github-containerd-errdefs-dev (>= 0.3.0),
          golang-github-containerd-fifo-dev (>= 1.0.0~),
          golang-github-containerd-go-cni-dev (>= 1.1.9),
          golang-github-containerd-go-runc-dev (>= 1.1.0),
+         golang-github-containerd-imgcrypt-dev,
          golang-github-containerd-log-dev,
          golang-github-containerd-nri-dev,
          golang-github-containerd-platforms-dev,
@@ -150,6 +174,7 @@
          golang-k8s-klog-dev,
          golang-k8s-utils-dev,
          golang-opentelemetry-otel-dev (>> 1.),
+         golang-tags.cncf-container-device-interface-dev,
          ${misc:Depends}
 Breaks: golang-github-containerd-imgcrypt-dev (<< 1.1.11-4),
         golang-github-docker-docker-dev (<< 26.1)

=== debian/tests/control ===
Tests: build-only
Depends: dh-golang, golang-any, golang-github-containerd-containerd-dev
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s%.*/v?(\d\S*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
uversionmangle=s%(\d)-(rc|beta|alpha)\.?(\d*)$%$1~$2$3%,\
dversionmangle=s%[~+]ds\d*$%%,\
repacksuffix=~ds1 \
  https://github.com/containerd/containerd/tags .*/v?(1\.7\.\d\S*)\.tar\.gz
